#
# spec file for package maildir-utils
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           maildir-utils
Version:        1.0
Release:        lp152.3.33
Summary:        Maildir indexer and searcher
License:        GPL-3.0+
Group:          Productivity/Networking/Email/Utilities
Url:            http://www.djcbsoftware.nl/code/mu/
Source:         https://github.com/djcb/mu/releases/download/v%{version}/mu-%{version}.tar.xz
BuildRequires:  autoconf
BuildRequires:  automake >= 1.14
BuildRequires:  emacs-nox >= 23
BuildRequires:  libtool
BuildRequires:  libxapian-devel
BuildRequires:  makeinfo
BuildRequires:  pkgconfig(gmime-2.6) >= 2.6.7
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Set of utilities to index and search Maildirs. Upstream name is mu.

%package -n mu4e
Summary:        Emacs-based e-mail client based on the mu e-mail indexer/searcher
Group:          Productivity/Networking/Email/Clients
Requires:       %{name} = %{version}
Requires(post): %{install_info_prereq}
Requires(preun): %{install_info_prereq}

%description -n mu4e
mu4e is an emacs-based e-mail client. It is based on the mu e-mail indexer/searcher.

%prep
%setup -q -n mu-%{version}

%build
autoreconf -i
%configure
make %{?_smp_mflags}

%install
%make_install

%post -n mu4e
%install_info --info-dir=%{_infodir} %{_infodir}/mu4e.info.gz

%preun -n mu4e
%install_info_delete --info-dir=%{_infodir} %{_infodir}/mu4e.info.gz

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING
%dir %{_datadir}/doc/mu
%{_bindir}/mu
%{_datadir}/doc/mu/NEWS.org
%{_mandir}/man?/*%{ext_man}

%files -n mu4e
%defattr(-,root,root)
%{_datadir}/doc/mu/mu4e-about.org
%dir %{_datadir}/emacs/site-lisp/mu4e/
%{_datadir}/emacs/site-lisp/mu4e/*.{el,elc}
%{_infodir}/mu4e.info%{ext_info}

%changelog
* Mon Feb  5 2018 mvetter@suse.com
- Update to 1.0:
  mu:
  * New, custom query parser which replaces Xapian's 'QueryParser'
    both in mu and mu4e. Existing queries should still work, but the
    new engine handles non-alphanumeric queries much better.
  * Support regular expressions in queries
  * cfind: ensure nicks are unique
  * auxiliary programs invoked from mu/mu4e survive terminating the
    shell / emacs
  mu4e:
  * Allow for rewriting message bodies
  * Toggle-menus for header settings
  * electric-quote-(local-)mode work when composing emails
  * Respect format=flowed and delsp=yes for viewing plain-text
    messages
  * Added new mu4e-split-view mode: single-window
  * Add menu item for `untrash'.p
  * Unbreak abbrevs in mu4e-compose-mode
  * Allow forwarding messages as attachments
    (`mu4e-compose-forward-as-attachment')
  * Default to 'skip duplicates' and 'include headers' in
    headers-view, which should be good defaults for most users. Can
    be customized using `mu4e-headers-skip-duplicates' and
    `mu4e-headers-include-related', respectively.
  * Many bug fixed (see github for all the details).
  * Updated documentation
- Remove upstreamed mu4e-1.0-alpha3-gh1168.patch
* Tue Jan 23 2018 dmacvicar@suse.de
- Add patch mu4e-1.0-alpha3-gh1168.patch
  * Fix for https://github.com/djcb/mu/issues/1168
- Make automake version requirement (1.14) explicit
* Mon Dec 18 2017 mvetter@suse.com
- Update to 1.0-alpha3:
  * parser: promote single value to a range for range-fields
  * mu: support 'raw' query (internally)
  * mu: handle funny msgids
  * mu4e: improve msgid quoting
  * mu4e: fix typo in mu4e~docid-msgid-param
* Mon Nov 13 2017 mvetter@suse.com
- Update to 1.0-alpha2:
  * Ensure mu4e-view-mode-hook run after text insertion
  * mu4e: fix bug preventing mu4e-headers-change-sorting to sort by list
  * mu4e: add mu4e-query-rewrite-functio
  * proc: ensure query string is utf-8
  * documentation fixes
* Sun Oct 29 2017 mvetter@suse.com
- Update to 1.0-alpha0:
  * mu4e: add mu4e-msg-changed-hook to mu4e-index-updated-hook globally
  * mu4e: Fix outdated docstring for `mu4e-headers-actions'
  * Add some improvements in attachment actions
  * mu4e: killing instead of interrupting update process
  * Use re-search-forward to find message signatures
  * mu4e: Add possibility to forward messages as attachments
  * mu: add 'tickle' command, for renaming messages
  * mu4e: allow for message body rewriting
  * mu4e: mu4e-message: allow for bodyless messages
  * mu4e: show inline text/plain as attachment
  * mu4e: don't require user-agent string
  * mu4e: Added new mu4e-split-view mode: single-window
  * mu: include signers in signature report
  * mu4e: display signers in signature header
  * bug fixes and documentation updates
* Thu Oct 26 2017 dimstar@opensuse.org
- Change gmime-devel BuildRequires to pkgconfig((gmime-2.6): do not
  care for actual package names, but for relevant symbols. In this
  specific case, gmime-devel was upgraded to version 3.0, with a
  2.6 compatibility package being present next to it.
* Tue Apr 11 2017 jengelh@inai.de
- Fix typographical issues with dots and apostrophes.
* Fri Apr  7 2017 mvetter@suse.com
- Use proper license (GPL-3.0+)
* Thu Apr  6 2017 mvetter@suse.com
- Add package mu4e (emacs+mu based email client)
- Change in BuildRequires:
  * Add emacs-nox >= 23, then mu4e gets automatically build
  * Add makeinfo, to handle info files
* Thu Mar  2 2017 mvetter@suse.com
- Initial package of version 0.9.18 for openSUSE
